# GeoPard API के साथ फ़ाइलें अपलोड करें

{% hint style="success" %}
6 MB से बड़े फाइलों के लिए सुझाया गया तरीका है [pre-signed URL flow](/geopard-tutorials/in/api/geopard-api-3/55.-zip-6-mb.md).
{% endhint %}

GeoPard API आगे की प्रोसेसिंग और विश्लेषण के लिए soil/yield/applied/boundary datasets के zip archives अपलोड करने की सुविधा देता है।

{% hint style="danger" %}
AWS की एक सीमा के कारण, इस REST endpoint के जरिए आप अधिकतम 6 MB आकार की फाइल अपलोड कर सकते हैं।
{% endhint %}

6 MB से बड़ी फाइलों के लिए अपलोड के चरण यहां बताए गए हैं [zip files अपलोड करें (6 MB से बड़ी)](/geopard-tutorials/in/api/geopard-api-3/55.-zip-6-mb.md).

soil/yield/applied dataset के सफल अपलोड के तुरंत बाद, GeoPard engine उसे defined farm के अंदर मौजूद संबंधित fields से जोड़ देता है।

boundary के सफल अपलोड के तुरंत बाद, GeoPard engine अपनी processing शुरू कर देता है।

response में एक `<uuid>` शामिल होता है, जिसका इस्तेमाल आप processing status ट्रैक करने के लिए कर सकते हैं।

#### Request sample:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \\
--header 'Authorization: <token>' \\
--header 'Content-Type: application/zip' \\
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parameters ये हैं:

1. `<type>` - अपलोड किए गए dataset का type। यह होना चाहिए `yield` या `soil` या `applied` या `boundary`.
2. `<farm_uuid>` - Farm का `uuid` जिस Farm में फाइल अपलोड की जाएगी (वैकल्पिक)।
3. `<token>` - GeoPard access token.
4. `@path/to/file.zip` - अपलोड की जा रही फाइल का path.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
